--- a/vendor/object/src/write/string.rs	2021-07-26 23:20:39.000000000 +0800
+++ b/vendor/object/src/write/string.rs	2025-12-16 07:51:20.000000000 +0800
@@ -1,12 +1,13 @@
 use indexmap::IndexSet;
 use std::vec::Vec;
+use std::collections::hash_map::RandomState;
 
 #[derive(Debug, Clone, Copy, PartialEq, Eq)]
 pub(crate) struct StringId(usize);
 
 #[derive(Debug, Default)]
 pub(crate) struct StringTable<'a> {
-    strings: IndexSet<&'a [u8]>,
+    strings: IndexSet<&'a [u8], RandomState>,
     offsets: Vec<usize>,
 }
 
@@ -68,7 +69,7 @@
 // - shorter strings come later
 //
 // Based on the implementation in LLVM.
-fn sort(mut ids: &mut [usize], mut pos: usize, strings: &IndexSet<&[u8]>) {
+fn sort(mut ids: &mut [usize], mut pos: usize, strings: &IndexSet<&[u8], RandomState>) {
     loop {
         if ids.len() <= 1 {
             return;
@@ -103,7 +104,7 @@
     }
 }
 
-fn byte(id: usize, pos: usize, strings: &IndexSet<&[u8]>) -> u8 {
+fn byte(id: usize, pos: usize, strings: &IndexSet<&[u8], RandomState>) -> u8 {
     let string = strings.get_index(id).unwrap();
     let len = string.len();
     if len >= pos {

--- a/vendor/petgraph/src/graphmap.rs	2021-07-26 23:20:39.000000000 +0800
+++ b/vendor/petgraph/src/graphmap.rs	2025-12-16 08:03:06.000000000 +0800
@@ -12,6 +12,7 @@
 use std::marker::PhantomData;
 use std::ops::{Deref, Index, IndexMut};
 use std::slice::Iter;
+use std::collections::hash_map:: RandomState;
 
 use crate::{Directed, Direction, EdgeType, Incoming, Outgoing, Undirected};
 
@@ -58,8 +59,8 @@
 /// Depends on crate feature `graphmap` (default).
 #[derive(Clone)]
 pub struct GraphMap<N, E, Ty> {
-    nodes: IndexMap<N, Vec<(N, CompactDirection)>>,
-    edges: IndexMap<(N, N), E>,
+    nodes: IndexMap<N, Vec<(N, CompactDirection)>, RandomState>,
+    edges: IndexMap<(N, N), E, RandomState>,
     ty: PhantomData<Ty>,
 }
 
@@ -108,8 +109,8 @@
     /// Create a new `GraphMap` with estimated capacity.
     pub fn with_capacity(nodes: usize, edges: usize) -> Self {
         GraphMap {
-            nodes: IndexMap::with_capacity(nodes),
-            edges: IndexMap::with_capacity(edges),
+            nodes: IndexMap::with_capacity_and_hasher(nodes, RandomState::default()),
+            edges: IndexMap::with_capacity_and_hasher(edges, RandomState::default()),
             ty: PhantomData,
         }
     }
@@ -577,7 +578,7 @@
     Ty: EdgeType,
 {
     from: N,
-    edges: &'a IndexMap<(N, N), E>,
+    edges: &'a IndexMap<(N, N), E, RandomState>,
     iter: Neighbors<'a, N, Ty>,
 }
 
--- a/vendor/petgraph/src/matrix_graph.rs	2021-07-26 23:20:39.000000000 +0800
+++ b/vendor/petgraph/src/matrix_graph.rs	2025-12-16 08:07:33.000000000 +0800
@@ -2,7 +2,7 @@
 
 use std::marker::PhantomData;
 use std::ops::{Index, IndexMut};
-
+use std::collections::hash_map:: RandomState;
 use std::cmp;
 use std::mem;
 
@@ -848,7 +848,7 @@
 struct IdStorage<T> {
     elements: Vec<Option<T>>,
     upper_bound: usize,
-    removed_ids: IndexSet<usize>,
+    removed_ids: IndexSet<usize, RandomState>,
 }
 
 impl<T> IdStorage<T> {
@@ -856,7 +856,7 @@
         IdStorage {
             elements: Vec::with_capacity(capacity),
             upper_bound: 0,
-            removed_ids: IndexSet::new(),
+            removed_ids: IndexSet::with_hasher(RandomState::default()),
         }
     }
 
@@ -922,7 +922,7 @@
 
 struct IdIterator<'a> {
     upper_bound: usize,
-    removed_ids: &'a IndexSet<usize>,
+    removed_ids: &'a IndexSet<usize, RandomState>,
     current: Option<usize>,
 }
 
--- a/vendor/petgraph/src/simple_paths.rs	2021-07-26 23:20:39.000000000 +0800
+++ b/vendor/petgraph/src/simple_paths.rs	2025-12-16 08:10:32.000000000 +0800
@@ -2,7 +2,7 @@
     hash::Hash,
     iter::{from_fn, FromIterator},
 };
-
+use std::collections::hash_map:: RandomState;
 use indexmap::IndexSet;
 
 use crate::{
@@ -39,7 +39,7 @@
     let min_length = min_intermediate_nodes + 1;
 
     // list of visited nodes
-    let mut visited: IndexSet<G::NodeId> = IndexSet::from_iter(Some(from));
+    let mut visited: IndexSet<G::NodeId, RandomState> = IndexSet::from_iter(Some(from));
     // list of childs of currently exploring path nodes,
     // last elem is list of childs of last visited node
     let mut stack = vec![graph.neighbors_directed(from, Outgoing)];
